<?php

/***************************************************************************
*                                                                          *
* Copyright (c) 2005 ISPG Technologies (I) Pvt Ltd. All rights reserved.   *
*                                                                          *
* This  is  commercial  software,  only  users  who have purchased a valid *
* license  and  accept  to the terms of the  License Agreement can install *
* and use this program.                                                    *
*                                                                          *
****************************************************************************
* PLEASE READ THE FULL TEXT  OF THE SOFTWARE  LICENSE   AGREEMENT  IN  THE *
* "copyright.txt" FILE PROVIDED WITH THIS DISTRIBUTION PACKAGE.            *
****************************************************************************/

//
//$Id: config-sample.php,v 1.0 2011/06/14 20:52:11
//Config - The base configurations for Oorjit Deal System
//

/**
 * The base configurations of the Oorjit Deal System.
 *
 * This file has the following configurations: MySQL settings, Table Prefix,
 *
 * This file is used by the eg-config.php creation script during the
 * installation. You don't have to use the web site, you can just copy this file
 * to "eg-config.php" and fill in the values.
 *
 * @package Oorjit Deal System
 */
/*
|--------------------------------------------------------------------------
| WEB_BASE_DIR - Base Site Directory 
|--------------------------------------------------------------------------
| If your site is in web root of domain, then 
|	define('WEB_BASE_DIR', '/');
| If your site is not in web root of domain, then 
|	define('WEB_BASE_DIR', '/path/to/site/');
|
*/ 
define('WEB_BASE_DIR', '/');

// ENABLE OR DISABLE DEVELOPER MODE
define('DEVELOPER_MODE', FALSE);
if(DEVELOPER_MODE)
	include('developer.config.php');

/** MySQL database name */
define('DB_NAME', 'agmc_db_bmw_mini');

/** MySQL database username */
define('DB_USER', 'agmc_db');

/** MySQL database password */
define('DB_PASSWORD', 'Zxc7Dskw3-xks9jh2sda');

/** MySQL hostname */
define('DB_HOST', 'agmc-rds-mydb.c2nquxzuxn1y.eu-west-1.rds.amazonaws.com');


/** Encryption Key */
define('__ENCRYPTION_KEY', 'DEAL_SYSTEM');

/** Database Charset to use in creating database tables. */
define('DB_CHARSET', 'utf8');

/** The Database Collate type. Don't change this if in doubt. */
define('DB_COLLATE', '');

// define('LICENSE_KEY', 'BWIM-E4GP-6XC5-Y635');
// define('DOMAIN_KEY', 'db7447ed8515e5eeb2f7fe88ec54cdba');

define('LICENSE_KEY', 'HRMV-S70T-LNCG-2635');
define('DOMAIN_KEY', '2b77b145a30a71be384cc557ddfe4128');

/**
 * Oorjit Deal System Database Table prefix.
 *
 * You can have multiple installations in one database if you give each a unique
 * prefix. Only numbers, letters, and underscores please!
 */

define('DB_PREFIX', 'dp_');
define('CACHE_DRIVER','dummy');
define('CACHE_HOST','localhost');
define('CACHE_PORT','11211');

// LANGUAGE NAME
define("LANGUAGE","english");   

// COOKIE PREFIX
define('COOKIE_PREFIX', 'DP_COOKIE_AGMC_'); 

define("FRANCHISEE","MINI");   
//define("FRANCHISEE","BMW"); 

if(FRANCHISEE=='BMW')
{
	define('__THEME', 'custom');
}
else if(FRANCHISEE=='MINI')
{
	define('__THEME', 'mini');
}
else 
{	
	define('__THEME', 'custom');
}

define('__DASHBOARD', 'cms');


//DB slave servers
define ("DB_SLAVES",serialize (array()));
/*
define ("DB_SLAVES", serialize (array
 (
	array 
	 (
	  "DB_NAME"=>"oorjit_tmp2", 
	  "DB_USER"=>"oorjit",
	  "DB_PASSWORD"=>"oorjit",
	  "DB_HOST"=>"localhost"
	 ),
	array 
	 (
	  "DB_NAME"=>"oorjit_tmp3", 
	  "DB_USER"=>"oorjit",
	  "DB_PASSWORD"=>"oorjit",
	  "DB_HOST"=>"localhost"
	 )
	 
 )
));
*/
//COMPILE ASSETS  1 OR 0
define('COMPILE_ASSETS', 0);
//COMPILE ASSETS  VERSION
define('COMPILE_ASSETS_VERSION', 'v1');
